[Doctrine vs Propel] symfony 1.3 et 2.0

Publié le par Sacri

Une petite information que vous connaissez sans doute déjà si vous avez lu ce post sur le blog officiel : Doctrine devient l'ORM par défaut sur la version 1.3 de symfony.

Cela veut-il dire que Propel est mort chez symfony ? Non absolument pas ... enfin pas tout de suite :p

Fabien Potentier nous a assuré que Propel serait toujours supporté et de la même manière pour toute la ligne 1.x mais qu'à partir de la version 1.3 (qui sortira semble-t-il en novembre), Doctrine deviendra l'ORM par défaut.

Par contre, Doctrine deviendrait pour la version 2.0 le seul et unique ORM supporté par symfony. En effet, Propel semble être un peu au point mort et sachant que Jonathan Wage fait partie de la Core Team de symfony, cela semblait logique.

Quoiqu'il en soit, la version 2.0 est encore embryonaire et ne sera pas là l'an prochain (enfin, c'est ce que j'ai ressenti des dires de Fabien).

Voilà, juste pour clarifier les choses sur ce point là :)

Bonne journée à tous !

Publié dans ORM

Commenter cet article

Adrien+M. 25/06/2009 21:59

J'hésite à passer Piwam sous Doctrine... Ça me semble pas être une priorité pour le moment, alors ça attendera je pense... dur hcoix :(